# Uses of Class
com.destroystokyo.paper.ClientOption

Packages that use ClientOption
Package
Description
com.destroystokyo.paper
com.destroystokyo.paper.event.player
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.

## Uses of ClientOption in com.destroystokyo.paper

Fields in com.destroystokyo.paper declared as ClientOption
Modifier and Type
Field
Description
`static final ClientOption<Boolean>`
ClientOption.`ALLOW_SERVER_LISTINGS`
`static final ClientOption<Boolean>`
ClientOption.`CHAT_COLORS_ENABLED`
`static final ClientOption<ClientOption.ChatVisibility>`
ClientOption.`CHAT_VISIBILITY`
`static final ClientOption<String>`
ClientOption.`LOCALE`
`static final ClientOption<MainHand>`
ClientOption.`MAIN_HAND`
`static final ClientOption<SkinParts>`
ClientOption.`SKIN_PARTS`
`static final ClientOption<Boolean>`
ClientOption.`TEXT_FILTERING_ENABLED`
`static final ClientOption<Integer>`
ClientOption.`VIEW_DISTANCE`

## Uses of ClientOption in com.destroystokyo.paper.event.player

Constructor parameters in com.destroystokyo.paper.event.player with type arguments of type ClientOption
Modifier
Constructor
Description
``
`PlayerClientOptionsChangeEvent(@NotNull Player player, @NotNull Map<ClientOption<?>,?> options)`

## Uses of ClientOption in org.bukkit.entity

Methods in org.bukkit.entity with parameters of type ClientOption
Modifier and Type
Method
Description
`<T> T`
Player.`getClientOption(@NotNull ClientOption<T> option)`